# rust-atk-sys.spec
# Generated by rust2rpm 20
%bcond_with check
%global debug_package %{nil}

%global crate atk-sys

Name:           rust-%{crate}-0.10
Version:        0.10.0
Release:        1%{?dist}.2
Summary:        FFI bindings to libatk-1

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/atk-sys
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}
BuildRequires:  pkgconfig(atk) >= 2.14

BuildRequires:  cargo-rpm-macros
BuildRequires:  (crate(glib-sys/default) >= 0.10.0 with crate(glib-sys/default) < 0.11.0~)
BuildRequires:  (crate(gobject-sys/default) >= 0.10.0 with crate(gobject-sys/default) < 0.11.0~)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0~)
BuildRequires:  (crate(system-deps/default) >= 1.3.0 with crate(system-deps/default) < 2.0.0~)
%if %{with check}
BuildRequires:  (crate(shell-words/default) >= 0.1.0 with crate(shell-words/default) < 0.2.0~)
BuildRequires:  (crate(tempfile/default) >= 3.0.0 with crate(tempfile/default) < 4.0.0~)
%endif

%global _description %{expand:
FFI bindings to libatk-1.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.14

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc versions.txt
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dox-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dox-devel %{_description}

This package contains library source intended for building other packages which
use the "dox" feature of the "%{crate}" crate.

%files       -n %{name}+dox-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v2_30-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.30

%description -n %{name}+v2_30-devel %{_description}

This package contains library source intended for building other packages which
use the "v2_30" feature of the "%{crate}" crate.

%files       -n %{name}+v2_30-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v2_32-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.32

%description -n %{name}+v2_32-devel %{_description}

This package contains library source intended for building other packages which
use the "v2_32" feature of the "%{crate}" crate.

%files       -n %{name}+v2_32-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v2_34-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.34

%description -n %{name}+v2_34-devel %{_description}

This package contains library source intended for building other packages which
use the "v2_34" feature of the "%{crate}" crate.

%files       -n %{name}+v2_34-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> - 0.10.0-1
- Initial package
